version: '2'
services:
  camunda:
    image: w18g6t4/camunda
#    build: ./camunda-overlay
    container_name: camunda
    ports:
      - "8085:8085"
    depends_on:
      - service-analysis
      - service-reporting
      - service-twitter

  service-analysis:
    image: w18g6t4/analysis
#    build: ./service-analysis
    container_name: analysis
    ports:
      - "8081:8081"
    env_file:
      - service-analysis/analysis.env

  service-failover:
    image: w18g6t4/failover
#    build: ./service-failover
    container_name: failover
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    restart: always

  service-reporting:
    image: w18g6t4/reporting
#    build: ./service-reporting
    container_name: reporting
    ports:
      - "8083:8083"

  service-twitter:
    image: w18g6t4/twitter
#    build: ./service-twitter
    container_name: twitter
    ports:
      - "8084:8084"
    env_file:
      - service-twitter/twitter.env

  service-website:
    image: w18g6t4/website
 #   build: ./service-website
    container_name: website
    ports:
      - "8080:8080"
    depends_on:
      - camunda
